Returns all tokens for the specified chain.
curl --request GET \
--url https://app.dynamicauth.com/api/v0/chains/{chainName}/tokens \
--header 'Authorization: Bearer <token>'[
{
"name": "Shiba Inu",
"symbol": "SHIB",
"tokenAddresses": [
{
"networkId": 1,
"contractAddress": "An example name"
}
]
}
]Documentation Index
Fetch the complete documentation index at: https://www.dynamic.xyz/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Shortened chain name
ETH, EVM, FLOW, SOL, ALGO, STARK, COSMOS, BTC, ECLIPSE, SUI, SPARK, TRON, APTOS, TON, STELLAR, ALEO, TEMPO, MIDNIGHT Numeric blockchain network ID to filter tokens by (e.g. 1 for Ethereum mainnet, 137 for Polygon)
Was this page helpful?
curl --request GET \
--url https://app.dynamicauth.com/api/v0/chains/{chainName}/tokens \
--header 'Authorization: Bearer <token>'[
{
"name": "Shiba Inu",
"symbol": "SHIB",
"tokenAddresses": [
{
"networkId": 1,
"contractAddress": "An example name"
}
]
}
]